%define upstream_name	 MIME-Explode
%define	upstream_version 0.39

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 25

Summary:    Perl extension for explode MIME messages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
MIME::Explode is perl module for parsing and decoding single or multipart
MIME messages, and outputting its decoded components to a given directory
ie, this module is designed to allows users to extract the attached files
out of a MIME encoded email messages or mailboxes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml README examples
%{perl_vendorarch}/MIME
%{perl_vendorarch}/auto/MIME
%{_mandir}/man3/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.390.0-25.mga10
+ Revision: 2089036
- Rebuild for perl-5.40

* Wed Nov 29 2023 tv <tv> 0.390.0-24.mga10
+ Revision: 2011247
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.390.0-23.mga9
+ Revision: 1862163
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.390.0-22.mga9
+ Revision: 1795906
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.390.0-21.mga9
+ Revision: 1726904
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.390.0-20.mga8
+ Revision: 1594930
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.390.0-19.mga8
+ Revision: 1529851
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.390.0-18.mga8
+ Revision: 1433839
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.390.0-17.mga7
+ Revision: 1293417
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.390.0-16.mga7
+ Revision: 1249519
- Rebuild for perl 5.28

* Wed Aug 08 2018 pterjan <pterjan> 0.390.0-15.mga7
+ Revision: 1249199
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.390.0-14.mga7
+ Revision: 1165518
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.390.0-13.mga7
+ Revision: 1149085
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.390.0-12.mga7
+ Revision: 1127352
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.390.0-11.mga6
+ Revision: 1029892
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.390.0-10.mga6
+ Revision: 957769
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.390.0-9.mga6
+ Revision: 842666
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.390.0-8.mga5
+ Revision: 747973
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.390.0-7.mga5
+ Revision: 685294
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.390.0-6.mga5
+ Revision: 631404
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.390.0-5.mga4
+ Revision: 524415
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.390.0-4.mga4
+ Revision: 430874
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.390.0-3.mga3
+ Revision: 369325
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.390.0-2.mga3
+ Revision: 250950
- rebuild for perl 5.16

* Mon Jun 27 2011 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 114636
- update to 0.39

* Fri Jun 17 2011 pterjan <pterjan> 0.380.0-3.mga2
+ Revision: 108568
- Fix build with perl 5.14
+ jquelin <jquelin>
- remove %%clean
+ sander85 <sander85>
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.380.0-2.mga1
+ Revision: 30759
- mageia rebuild
- imported package perl-MIME-Explode

